Home

# Class goog.ui.AbstractImagelessRoundedCorner

Base class for various image-less rounded corner classes. Do not create instances of this class. Instead, utilize goog.ui.ImagelessRoundedCorner.create().

Instance Method Summary
| `draw()` Renders the rounded corner.
| `getBackgroundColor() ⇒ (string|undefined)` Returns the background color of the rounded corner.
| `getBorderColor() ⇒ string` Returns the color of the rounded corner.
| `getBorderWidthOffset() ⇒ number` Returns the thickness offset used for accurately rendering the corner within its container.
| `getElement() ⇒ !Element` Returns the underlying DOM element containing the rounded corner.
| `getEndAngle() ⇒ number` Returns the end angle of the arc for the rounded corner.
| `getHeight() ⇒ number` Returns the height of the element containing the rounded corner.
| `getLineWidth() ⇒ number` Returns the thickness of the rounded corner.
| `getRadius() ⇒ number` Returns the radius of the rounded corner.
| `getStartAngle() ⇒ number` Returns the start angle of the arc for the rounded corner.
| `getWidth() ⇒ number` Returns the width of the element containing the rounded corner.
| `setBackgroundColor(string backgroundColor)` Sets the background color of the rounded corner.
| `setBorderColor(string borderColor)` Sets the color of the rounded corner.
| `setHeight(number height)` Sets the height of the element containing the rounded corner.
| `setLineWidth(number thickness)` Sets the thickness of the rounded corner.
| `setRadius(number radius)` Sets the radius of the rounded corner.
| `setWidth(number width)` Sets the width of the element containing the rounded corner.